﻿using System;


namespace PhonicsClassLibrary
{
    public sealed class Fabrica
    {
        public Fabrica()
        {
        }

        public static IUtilizador CreateUtilizadorService()
        {
            return new Utilizador();
        }

        public static ICliente CreateClienteService()
        {
            return new Cliente();
        }

        public static ICartao CreateCartaoService()
        {
            return new Cartao();
        }

        public static ITarifario CreateTarifarioService()
        {
            return new Tarifario();
        }

        public static IChamada CreateChamadaService()
        {
            return new Chamada();
        }      
    }

}
