﻿using System;


namespace PhonicsClassLibrary
{
    public enum PhonicsStatusEnum
    {

        OK					=  1,
		NOT_OK				=  0,
		INVALID_LOGIN		= -1,
		INVALID_KEY			= -2,
		INVALID_CLIENTE_ID	= -3,
		INVALID_CARTAO_ID	= -4,
        INVALID_TARIFARIO_ID= -5,
		ERROR				= -6,
		INVALID_ARGUMENT	= -7,

        DATABASE_PROBLEM    = -9,
        ALREADY_INITIATED   = -12,
        NOT_INITIATED       =-15,
        INEXISTENT_INITIATOR=-17, 
        PARAMETER_PROBLEM   =-19, 
        MULTIPLE_CALLS      =-21

    }

    public enum RedeEnum
    {
        VODAFONE = 1,
        OPTIMUS = 3,
        TMN = 6,
        FIXA = 2,
    }

    public enum DiasEnum
    {
        FIM_DE_SEMANA = 2,
        DIAS_UTEIS = 5,
        TODOS_DIAS = 7,
    }

    public enum TipoCartaoEnum
    {
        CARREGAMENTOS = 1,
        ASSINATURA = 2,
    }


}
