﻿using System;
using System.Data;
using PhonicsClassLibrary;

//PROJECTO USADO NUMA FASE INICIAL PARA A REALIZAÇÃO DE VÀRIOS TESTES RELACIONADOS COM
//OS METODOS
namespace PhonicsTesteConsoleApplication
{
    class Program
    {
     
        static void Main(string[] args)
        {
            TesteInserirCliente();
            //TesteUpdateCliente();
            //TesteInserirTarifario();
            //TesteUpdateTarifario();
            //TesteInserirCartao();
            //TesteCancelarCartao();
            //TesteCarregarCartao();
            //TesteUpdateCartao();
           

            Console.WriteLine("\n\nQualquer tecla para continuar...");
            Console.ReadLine();
        }


        public static void TesteInserirCliente()
        {
            Console.WriteLine("TESTE 'Cliente' -->\n\n");

            //
            // criar objecto
            //
            // ICustomer oCust = new Customer();
            ICliente oCli = Fabrica.CreateClienteService();

            //
            // invocar método
            //
            PhonicsStatusEnum status;
            int cliID;
            //cliID = oCli.Inserir("mafalda", "12345", "Francisco", 99882727, "Régua","xico@hotmail.com", out status);
            cliID = oCli.Inserir("mafalda", "12345", "Santiago", 987654321, "Valongo", "santo@aeiou.pt", out status);
            Console.WriteLine("Cliente.InserirCliente: status={0}, cliID={1}\n", status, cliID);
        }

        public static void TesteUpdateCliente()
        {
            ICliente c = Fabrica.CreateClienteService();
        
     
            //DataSet oDS = c.GetInfoByID("mafalda", "12345", 1);
            


            PhonicsStatusEnum status= c.Update("mafalda", "12345", 1, "Lisboa", "barbosa_martim@hot.com");

            Console.WriteLine("TESTE 'Cliente' -->\n\n status={0}", status);
        }

        public static void TesteInserirTarifario()
        {
            //ITarifario oTar = Fabrica.CreateTarifarioService();

            //PhonicsStatusEnum status;
            //int tarID;
            //tarID = oTar.Inserir("mafalda", "12345", "Clube250", RedeEnum.VODAFONE, DiasEnum.FIM_DE_SEMANA, DateTime.Now, DateTime.Today, 10, 30, 5, out status);
            //Console.WriteLine("TESTE 'Tarifario' -->\n\n status={0}",status);

        
        }


        public static void TesteUpdateTarifario()
        {
            ITarifario t = Fabrica.CreateTarifarioService();

            //DataSet oDS = c.GetInfoByID("mafalda", "12345", 1);



            PhonicsStatusEnum status = t.Update("mafalda", "12345",  10, "VitaClube240000000", RedeEnum.OPTIMUS,DiasEnum.DIAS_UTEIS, DateTime.Now,DateTime.Now, (float)0.025, 30, 50);
            Console.WriteLine("TESTE 'Tarifario' -->\n\n status={0}", status);
        }

        public static void TesteInserirCartao()
        {
            Console.WriteLine("TESTE 'Cartao' -->\n\n");

            //
            // criar objecto
            //
            // ICustomer oCust = new Customer();
            ICartao oCar = Fabrica.CreateCartaoService();

            //
            // invocar método
            //
            //PhonicsStatusEnum status;
            //int carID;
            //carID = oCar.Inserir("mafalda", "12345", 9, 1, "912312938", "Carregamento", "20", out status);

           // Console.WriteLine("Cartao.InserirCartao: status={0}, carID={1}\n", status, carID);
        }

        public static void TesteCancelarCartao()
        {
            ICartao c = Fabrica.CreateCartaoService();


            //DataSet oDS = c.GetInfoByID("mafalda", "12345", 1);



            PhonicsStatusEnum status = c.Cancelar("mafalda", "12345", 14);

            Console.WriteLine("TESTE 'Cartao' -->\n\n status={0}", status);
        }

        public static void TesteCarregarCartao()
        {
            ICartao c = Fabrica.CreateCartaoService();


            //DataSet oDS = c.GetInfoByID("mafalda", "12345", 1);



            PhonicsStatusEnum status = c.Carregar("mafalda", "12345", 14,25);

            Console.WriteLine("TESTE 'Cartao' -->\n\n status={0}", status);
        }

        public static void TesteUpdateCartao()
        {
            ICartao c = Fabrica.CreateCartaoService();


            //DataSet oDS = c.GetInfoByID("mafalda", "12345", 1);



           // PhonicsStatusEnum status = c.Update("mafalda", "12345", 14, 2, 12, "91234567");

           // Console.WriteLine("TESTE 'Cartao' -->\n\n status={0}", status);
        }



    }
}
