﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using PhonicsClassLibrary;

namespace PhonicsWindowsApplication
{
    public partial class LoginForm : Form
    {
        public LoginForm()
        {
            InitializeComponent();
        }

        private void btnLogin_Click(object sender, EventArgs e)
        {
            //
            // validar login
            //
            IUtilizador u = Fabrica.CreateUtilizadorService();
            if (u.Validar(txtUsername.Text, txtPassword.Text) == PhonicsStatusEnum.OK)
            {
                //
                // guardar username e password para os outros métodos
                //
                UtilizadorDefenicoes.Username = txtUsername.Text;
                UtilizadorDefenicoes.Password = txtPassword.Text;

                //
                // terminar a janela modal com sucesso
                //
                this.DialogResult = DialogResult.OK;
            }
            else
            {
                lbErro.Text = "LOGIN INVALIDO";
            }
        }

        private void btnCancelar_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}